Name: checkpolicy
Version: 1.34.5
Release: alt1
License: GPL
Url: http://www.nsa.gov/selinux
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://www.nsa.gov/selinux/archives/%name-%version.tgz
Summary: This package contains the checkpolicy policy compiler, which is needed to compile policies to the binary form used by the kernel
Group: System/Configuration/Other
Patch: alt-checkpolicy-makefile.patch
Patch1: alt-checkpolicy-x86_64-fix.patch
# Automatically added by buildreq on Sun Mar 09 2008
BuildRequires: flex libselinux-devel libsepol-devel libsepol-devel-static

%description
SELinux policy compiler
Security-enhanced Linux is a patch of the Linux(R) kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement(R), Role-based Access
Control, and Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler.
Only required for building policies.

%prep
%setup
%patch -p1
%ifarch x86_64
%patch1 -p1
%endif

%build
%make_build

%install
%make DESTDIR=%buildroot install

%files
%_man8dir/*
%_bindir/*

%changelog
* Sun Mar 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 1.34.5-alt1
- Initial build
